Bug 222950 - I18N: localized strings are garbled on Welcome screen - ascii font is hardcoded
I18N: localized strings are garbled on Welcome screen - ascii font is hardcoded
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Welcome
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Stanislav Aubrecht
issues@ide
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-29 07:48 UTC by Masaki Katakai
Modified: 2012-12-14 02:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
screenshot (101.13 KB, image/png)
2012-11-29 07:48 UTC, Masaki Katakai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Masaki Katakai 2012-11-29 07:48:25 UTC
Created attachment 128556 [details]
screenshot

It seems that welcome screen has been changed for new design.
However, all japanese fonts are garbled - become rectangle.

It seems that "Arial" font is hardcoded. This font is
just for ascii, so this problem happens. Please change
to another font - usual font name used in Java.

bash-4.1$ grep Arial ./src/org/netbeans/modules/welcome/content/Constants.java
    static final Font BUTTON_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE+1 );
    static final Font RSS_DESCRIPTION_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE-1 );
    static final Font TAB_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE+1 ); //NOI18N
    static final Font SECTION_HEADER_FONT = new Font( "Arial", Font.BOLD, FONT_SIZE+7 ); //NOI18N
    static final Font GET_STARTED_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE+1 ) ; //NOI18N
    static final Font CONTENT_HEADER_FONT = new Font( "Arial", Font.BOLD, FONT_SIZE+13 ) ; //NOI18N
bash-4.1$
Comment 1 Masaki Katakai 2012-11-29 07:50:25 UTC
I'm using 

Product Version: NetBeans IDE Dev (Build 201211290002)
Java: 1.7.0_07; Java HotSpot(TM) Client VM 23.3-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_07-b10
System: SunOS version 5.11 running on x86; UTF-8; ja_JP (nb)
Comment 2 Stanislav Aubrecht 2012-11-29 10:05:15 UTC
core-main 921784e95043
Comment 3 Quality Engineering 2012-12-04 03:16:02 UTC
Integrated into 'main-golden', will be available in build *201212040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/921784e95043
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #222950 - make font face name brandable
Comment 4 Masaki Katakai 2012-12-11 13:36:48 UTC
Reopened.

     1.6      static final int FONT_SIZE = Utils.getDefaultFontSize();
     1.7 +    static final String FONT_NAME = BundleSupport.getLabel( "FONT_NAME" ); //NOI18N
     1.8      static final Font BUTTON_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE+1 );
     1.9      static final Font RSS_DESCRIPTION_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE-1 );
    1.10      static final Font TAB_FONT = new Font( "Arial", Font.PLAIN, FONT_SIZE+1 ); //NOI18N

"Arial" are still hardcoded. "Arial" should be replaced with proper font name in these lines.
Comment 5 Stanislav Aubrecht 2012-12-11 13:45:47 UTC
core-main 213a3594168a
Comment 6 Quality Engineering 2012-12-14 02:42:47 UTC
Integrated into 'main-golden', will be available in build *201212140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/213a3594168a
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #222950 - make font face name brandable (proper)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo